<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Bubble Sort Visualization</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <section>
        <h1>Welcome to Bubble Sort Visualizations</h1>
        <button class="button">Start Sort</button>
    </section>

    <section id="scene">
    </section>

    <script src="bubbleSort.js"></script>
    <script>
        let unsortedArray = [17,24,39,7,22,46,27,42,32,12,46,5,27,11,28,11,10,50,47,44];
        let button = document.querySelector('.button');
        let intervalId; 
        button.addEventListener('click', init);

        setupArray(unsortedArray);

        function init() {
            button.disabled = true;
            var result = bubbleSort(unsortedArray);
            intervalId = setInterval(function() {
                visualize(unsortedArray);
            }, 500)
        }
    </script>
</body>
</html>